Description

Hi,

The REST api for issue Rest_Issues states that it accepts a parameter 'sort'.

I use the api and pass in the column name, e.g. issue_id, updated_on, created_on, tracker_id etc, but I get the same list in the same

order. Even if I also pass in ":desc", I still get the same list in the same order. The api doesn't support sort at all. Please add the

support.

History

#1 - 2017-07-20 17:15 - Toshi MARUYAMA

- Description updated

#2 - 2017-07-20 17:23 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Please describe more details.

What parameters do you use?

And please see submissions.

#3 - 2017-07-21 06:43 - Mao H

I use something like "GET" (I'm using X-Redmine-API-Key in the request)

http://&lt;my redmine server>/issues.json?sort=created_on

I also replace created_on with other column name and they all not sorting.

I also try :desc

http://&lt;my redmine server>/issues.json?sort=created_on:desc

":desc" doesn't affect anything.

Both of the above two query return the same result as

http://&lt;my redmine server>/issues.json

#4 - 2017-07-21 16:05 - Mao H

Please close this issue. I find that I miss something in my query. And it works.

#5 - 2017-07-21 21:17 - Jean-Philippe Lang

- Status changed from Needs feedback to Closed
